Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.alignment
Interface AlignmentElement

All Known Implementing Classes:
  SimpleAlignmentElement

    public interface AlignmentElement

AlignmentElement is a class which represents a SymbolList and its location within an Alignment This is for use in UnequalLengthAlignments and ARAlignments.

Author:
  David Waring

Method Summary
`Object` | `getLabel()`
`Location` | `getLoc()`
`SymbolList` | `getSymbolList()`
`void` | `setLoc(Location nLoc)`

Method Detail

### getLabel

    Object getLabel()

### getLoc

    Location getLoc()

### getSymbolList

    SymbolList getSymbolList()

### setLoc

    void setLoc(Location nLoc)
                throws BioError

  Throws:
    `BioError`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD